Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Interface Value

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  Arguments, JDBCPath, Literal, Parameter, Path, Subquery, Val

All Known Implementing Classes:
  Abs, Abs, AbstractVal, Add, Aggregate, Aggregate, AggregateVal, All, All, Any, Any, Args, Args, Avg, Avg, BoundVariable, CandidatePath, Cast, Coalesce, CoalesceExpression, CollectionParam, CollectionParam, Concat, Concat, Const, ConstGetObjectId, ConstPath, Count, Count, CurrentDate, CurrentDate, DatastoreFunction, Distinct, Distinct, Divide, Extension, Extension, GeneralCase, GeneralCaseExpression, GetMapValue, GetMapValue, GetObjectId, GetObjectId, Index, Index, IndexOf, IndexOf, Lit, Lit, MapEntry, MapKey, Math, MathVal, Max, Max, Min, Min, Mod, Multiply, Null, Null, NullIf, NullIfExpression, Param, Param, PCPath, SimpleCase, SimpleCaseExpression, Size, Size, Sqrt, Sqrt, StringFunction, StringLength, StringLength, SubQ, SubQ, Substring, Substring, Subtract, Sum, Sum, This, ToLowerCase, ToLowerCase, ToUpperCase, ToUpperCase, Trim, Trim, Type, Type, TypeLit, TypeLit, UnaryMathVal, UnaryOp, UnboundVariable, Val, ValuePath, Variable

    public interface Value

extends Serializable

Interface for any non-operator in a query filter, including constants, variables, and object fields.

Author:
  Abe White

Method Summary
`void` | `acceptVisit(ExpressionVisitor visitor)` Accept a visit from a tree visitor.
`String` | `getAlias()` Return select item alias
`ClassMetaData` | `getMetaData()` Return any associated persistent type.
`String` | `getName()`
`Path` | `getPath()`
`Value` | `getSelectAs()` Return 'this' concrete class if alias is set, otherwise null
`Class` | `getType()` Return the expected type for this value, or `Object` if the type is unknown.
`boolean` | `isAggregate()` Return true if this value is an aggregate.
`boolean` | `isVariable()` Return true if this value is a variable.
`boolean` | `isXPath()` Return true if this value is an XML Path.
`void` | `setAlias(String alias)` Set select item alias
`void` | `setImplicitType(Class type)` Set the implicit type of the value, based on how it is used in the filter.
`void` | `setMetaData(ClassMetaData meta)` Associate a persistent type with this value.

Method Detail

### getType

    Class getType()

  Return the expected type for this value, or `Object` if the type is unknown.

### setImplicitType

    void setImplicitType(Class type)

  Set the implicit type of the value, based on how it is used in the filter. This method is only called on values who return `Object` from `getType()`.

### isVariable

    boolean isVariable()

  Return true if this value is a variable.

### isAggregate

    boolean isAggregate()

  Return true if this value is an aggregate.

### isXPath

    boolean isXPath()

  Return true if this value is an XML Path.

### getMetaData

    ClassMetaData getMetaData()

  Return any associated persistent type.

### setMetaData

    void setMetaData(ClassMetaData meta)

  Associate a persistent type with this value.

### acceptVisit

    void acceptVisit(ExpressionVisitor visitor)

  Accept a visit from a tree visitor.

### getAlias

    String getAlias()

  Return select item alias

### setAlias

    void setAlias(String alias)

  Set select item alias

### getSelectAs

    Value getSelectAs()

  Return 'this' concrete class if alias is set, otherwise null

### getPath

    Path getPath()

### getName

    String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.